.\" Man page generated from reStructuredText.
.
.TH "CWB_CLONEDIR" "1" "Nov 25, 2022" "cWB-6.4.2" "coherent WaveBurst"
.SH NAME
cwb_clonedir \- cWB Documentation
.
.nr rst2man-indent-level 0
.
.de1 rstReportMargin
\\$1 \\n[an-margin]
level \\n[rst2man-indent-level]
level margin: \\n[rst2man-indent\\n[rst2man-indent-level]]
-
\\n[rst2man-indent0]
\\n[rst2man-indent1]
\\n[rst2man-indent2]
..
.de1 INDENT
.\" .rstReportMargin pre:
. RS \\$1
. nr rst2man-indent\\n[rst2man-indent-level] \\n[an-margin]
. nr rst2man-indent-level +1
.\" .rstReportMargin post:
..
.de UNINDENT
. RE
.\" indent \\n[an-margin]
.\" old: \\n[rst2man-indent\\n[rst2man-indent-level]]
.nr rst2man-indent-level -1
.\" new: \\n[rst2man-indent\\n[rst2man-indent-level]]
.in \\n[rst2man-indent\\n[rst2man-indent-level]]u
..
.nf

.fi
.sp
.sp
This page provides a description of the cwb_clonedir command.
.nf

\fBUsage\fP

.in +2
This command creates the working directory by copying files and folders from another working environment.


.in -2
\fBSyntax\fP

.fi
.sp
.INDENT 0.0
.INDENT 3.5
.INDENT 0.0
.IP \(bu 2
.INDENT 2.0
.TP
.B \fBcwb_clonedir\fP (without arguments)
Prints help
.UNINDENT
.IP \(bu 2
.INDENT 2.0
.TP
.B \fBcwb_clonedir src_dir dest_dir [options]\fP
Creates the dest_dir folder and copies in it the working environment of the src_dir directory.
.UNINDENT
.UNINDENT
.UNINDENT
.UNINDENT
.nf

\fBFurher information\fP

.in +2
The following options can be passed to cwb_clonedir:

.in -2
.fi
.sp
.INDENT 0.0
.INDENT 3.5
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
options =   \(aq\-\-output links\(aq  : it creates symbolic links to the files in the src_dir output directory
                                underneath the dest_dir output directory. The link data_label points to
                                the data_label folder in dest_dir. In case dest_dir is already
                                existing, the option just updates the links.

            \(aq\-\-output merge\(aq  : it searches in src_dir for the merged file with the largest progressive
                                version number and merges the wave and live trees in the dest_dir
                                output folder.
                                In case dest_dir is already existing, the option just creates
                                the merged files.
                                Comment :  this option cannot be used for merged files
                                to which cuts and vetoes have been applied.

            \(aq\-\-config check\(aq  : it checks whether the configuration files in src_dir are compatible with
                                the config files in dest_dir

            \(aq\-\-jstage stage\(aq  : it creates symbolic links only to the output files of
                                the desired analysis stage.
                                The links are created in the output directory.
                                [FULL/INIT/STRAIN/CSTRAIN/COHERENCE/SUPERCLUSTER(default)/LIKELIHOOD]

            \(aq\-\-simulation false/true\(aq  : use false(default)/true for background/simulation runs

            \(aq\-\-label LABEL\(aq   : is the label of the merged root files  (Ex: M2.C_rho_gt_8)

            \(aq\-\-chunk id\(aq      : id is a chunk number (must be integer > 0).
                                It must be used to select a specific chunk root version generated
                                with cwb_setchunk command
                                NOTE : \-\-chunk option can not be used when \-\-label option is used !!!
.ft P
.fi
.UNINDENT
.UNINDENT
.UNINDENT
.UNINDENT
.nf

\fBExamples\fP

.fi
.sp
.INDENT 0.0
.INDENT 3.5
.INDENT 0.0
.IP \(bu 2
.INDENT 2.0
.TP
.B The following command line creates the folder S6A_BKG_L1H1V1_run1 and copies the environment in /home/PRODUCTION/S6A_BKG_L1H1V1_run1 :
\fBcwb_clonedir /home/PRODUCTION/S6A_BKG_L1H1V1_run1 S6A_BKG_L1H1V1_run1\fP
.UNINDENT
.IP \(bu 2
.INDENT 2.0
.TP
.B The following command line creates symbolic links to the files in the output directory in /home/PRODUCTION/S6A_BKG_L1H1V1_run1 S6A_BKG_L1H1V1_run1 :
\fBcwb_clonedir /home/PRODUCTION/S6A_BKG_L1H1V1_run1 S6A_BKG_L1H1V1_run1 \(aq\-\-output links\(aq\fP
.UNINDENT
.IP \(bu 2
.INDENT 2.0
.TP
.B The following command line creates a new directory and calls it as the cloned directory:
\fBcwb_clonedir /home/PRODUCTION/S6A_BKG_L1H1V1_run1 .\fP
.UNINDENT
.UNINDENT
.UNINDENT
.UNINDENT
.SH AUTHOR
Gabriele Vedovato
.SH COPYRIGHT
2018, cWB Team
.\" Generated by docutils manpage writer.
.
